Package tigase.eventbus.impl

## Class ReflectEventRoutedTransientFiller

- java.lang.Object
- - tigase.eventbus.impl.ReflectEventRoutedTransientFiller

- All Implemented Interfaces:
    `EventRoutedTransientFiller`

      public class ReflectEventRoutedTransientFiller
      extends java.lang.Object
      implements EventRoutedTransientFiller

  Class responsible for calling method on consumer instance which will fill event transient fields.
  Author:
    andrzej

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReflectEventRoutedTransientFiller​(java.lang.Class eventClass, java.lang.Object consumer, java.lang.reflect.Method method)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `boolean` | `fillEvent​(java.lang.Object event)` |
    `java.lang.Class` | `getEventClass()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectEventRoutedTransientFiller

          public ReflectEventRoutedTransientFiller​(java.lang.Class eventClass,
                                                   java.lang.Object consumer,
                                                   java.lang.reflect.Method method)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### fillEvent

          public boolean fillEvent​(java.lang.Object event)

      Specified by:
        `fillEvent` in interface `EventRoutedTransientFiller`

    - #### getEventClass

          public java.lang.Class getEventClass()

      Specified by:
        `getEventClass` in interface `EventRoutedTransientFiller`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`